## UpStatsItem

UpStatsItem — Helper object representing one item of statistics data.

## Functions

UpStatsItem * | up_stats_item_new ()
gdouble | up_stats_item_get_value ()
void | up_stats_item_set_value ()
gdouble | up_stats_item_get_accuracy ()
void | up_stats_item_set_accuracy ()

## Properties

double | accuracy | Read / Write
double | value | Read / Write

## Object Hierarchy

        GObject
        ╰── UpStatsItem

## Description

This object represents one item of data which may be returned from the daemon in response to a query.

## Functions

### up_stats_item_new ()

    UpStatsItem *
    up_stats_item_new (void);

#### Returns

a new UpStatsItem object.

Since: 0.9.0

### up_stats_item_get_value ()

    gdouble
    up_stats_item_get_value (UpStatsItem *stats_item);

Gets the item value.

Since: 0.9.0

### up_stats_item_set_value ()

    void
    up_stats_item_set_value (UpStatsItem *stats_item,
                             gdouble value);

Sets the item value.

Since: 0.9.0

### up_stats_item_get_accuracy ()

    gdouble
    up_stats_item_get_accuracy (UpStatsItem *stats_item);

Gets the item accuracy.

Since: 0.9.0

### up_stats_item_set_accuracy ()

    void
    up_stats_item_set_accuracy (UpStatsItem *stats_item,
                                gdouble accuracy);

Sets the item accuracy.

Since: 0.9.0

## Property Details

### The `“accuracy”` property

      “accuracy”                 double

Owner: UpStatsItem

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 0.9.0

### The `“value”` property

      “value”                    double

Owner: UpStatsItem

Flags: Read / Write

Allowed values: >= 0

Default value: 0

Since: 0.9.0

## See Also

UpDevice, UpClient